import { IIptOictTariffsProperties } from "#sch/datasources/iptoict/interfaces/IIptOictTariffsProperties";

export const iptOictTariffsData: IIptOictTariffsProperties[] = [
    {
        parking_ids: ["hk_isp_001", "hk_isp_002"],
        charge_bands: [
            {
                maximum_duration: null,
                valid_from: "2019-06-01T00:00:00.000Z",
                valid_to: null,
                last_modified_at_source: "2024-05-21T07:00:00.000Z",
                free_of_charge: false,
                url: "https://isphk.cz/host.php",
                payment_mode: "pre_paid",
                payment_methods: ["mobile_app", "sms_payment", "card_offline", "coins_only"],
                charge_band_name: "tarif1",
                charges: [
                    {
                        charge: "5",
                        charge_type: "other",
                        charge_order_index: 0,
                        charge_interval: 1800,
                        max_iterations_of_charge: 2,
                        min_iterations_of_charge: 1,
                        valid_from: "2019-06-01T00:00:00.000Z",
                        periods_of_time: [
                            {
                                day_in_week: "Mo",
                                start: "08:00",
                                end: "17:59",
                                ph: "ph_off",
                            },
                            {
                                day_in_week: "Tu",
                                start: "08:00",
                                end: "17:59",
                                ph: "ph_off",
                            },
                            {
                                day_in_week: "We",
                                start: "08:00",
                                end: "17:59",
                                ph: "ph_off",
                            },
                            {
                                day_in_week: "Th",
                                start: "08:00",
                                end: "17:59",
                                ph: "ph_off",
                            },
                            {
                                day_in_week: "Fr",
                                start: "08:00",
                                end: "17:59",
                                ph: "ph_off",
                            },
                            {
                                day_in_week: "Sa",
                                start: "08:00",
                                end: "15:59",
                                ph: "ph_off",
                            },
                        ],
                    },
                    {
                        charge: "10",
                        charge_type: "other",
                        charge_order_index: 1,
                        charge_interval: 3600,
                        max_iterations_of_charge: null,
                        min_iterations_of_charge: 0,
                        valid_from: "2019-06-01T00:00:00.000Z",
                        periods_of_time: [
                            {
                                day_in_week: "Mo",
                                start: "08:00",
                                end: "17:59",
                                ph: "ph_off",
                            },
                            {
                                day_in_week: "Tu",
                                start: "08:00",
                                end: "17:59",
                                ph: "ph_off",
                            },
                            {
                                day_in_week: "We",
                                start: "08:00",
                                end: "17:59",
                                ph: "ph_off",
                            },
                            {
                                day_in_week: "Th",
                                start: "08:00",
                                end: "17:59",
                                ph: "ph_off",
                            },
                            {
                                day_in_week: "Fr",
                                start: "08:00",
                                end: "17:59",
                                ph: "ph_off",
                            },
                            {
                                day_in_week: "Sa",
                                start: "08:00",
                                end: "15:59",
                                ph: "ph_off",
                            },
                        ],
                    },
                ],
            },
        ],
    },
    {
        parking_ids: ["hk_isp_004"],
        charge_bands: [
            {
                maximum_duration: null,
                valid_from: "2019-06-01T00:00:00.000Z",
                valid_to: null,
                last_modified_at_source: "2024-05-21T07:00:00.000Z",
                free_of_charge: false,
                url: "https://isphk.cz/host.php",
                payment_mode: "pre_paid",
                payment_methods: ["mobile_app", "sms_payment", "card_offline", "coins_only"],
                charge_band_name: "tarif2",
                charges: [
                    {
                        charge: "5",
                        charge_type: "other",
                        charge_order_index: 0,
                        charge_interval: 900,
                        max_iterations_of_charge: 1,
                        min_iterations_of_charge: 1,
                        valid_from: "2019-06-01T00:00:00.000Z",
                        periods_of_time: [
                            {
                                day_in_week: "Mo",
                                start: "08:00",
                                end: "17:59",
                                ph: "ph_off",
                            },
                            {
                                day_in_week: "Tu",
                                start: "08:00",
                                end: "17:59",
                                ph: "ph_off",
                            },
                            {
                                day_in_week: "We",
                                start: "08:00",
                                end: "17:59",
                                ph: "ph_off",
                            },
                            {
                                day_in_week: "Th",
                                start: "08:00",
                                end: "17:59",
                                ph: "ph_off",
                            },
                            {
                                day_in_week: "Fr",
                                start: "08:00",
                                end: "17:59",
                                ph: "ph_off",
                            },
                            {
                                day_in_week: "Sa",
                                start: "08:00",
                                end: "15:59",
                                ph: "ph_off",
                            },
                        ],
                    },
                    {
                        charge: "15",
                        charge_type: "other",
                        charge_order_index: 1,
                        charge_interval: 2700,
                        max_iterations_of_charge: 1,
                        min_iterations_of_charge: 0,
                        valid_from: "2019-06-01T00:00:00.000Z",
                        periods_of_time: [
                            {
                                day_in_week: "Mo",
                                start: "08:00",
                                end: "17:59",
                                ph: "ph_off",
                            },
                            {
                                day_in_week: "Tu",
                                start: "08:00",
                                end: "17:59",
                                ph: "ph_off",
                            },
                            {
                                day_in_week: "We",
                                start: "08:00",
                                end: "17:59",
                                ph: "ph_off",
                            },
                            {
                                day_in_week: "Th",
                                start: "08:00",
                                end: "17:59",
                                ph: "ph_off",
                            },
                            {
                                day_in_week: "Fr",
                                start: "08:00",
                                end: "17:59",
                                ph: "ph_off",
                            },
                            {
                                day_in_week: "Sa",
                                start: "08:00",
                                end: "15:59",
                                ph: "ph_off",
                            },
                        ],
                    },
                    {
                        charge: "20",
                        charge_type: "other",
                        charge_order_index: 2,
                        charge_interval: 3600,
                        max_iterations_of_charge: null,
                        min_iterations_of_charge: 0,
                        valid_from: "2019-06-01T00:00:00.000Z",
                        periods_of_time: [
                            {
                                day_in_week: "Mo",
                                start: "08:00",
                                end: "17:59",
                                ph: "ph_off",
                            },
                            {
                                day_in_week: "Tu",
                                start: "08:00",
                                end: "17:59",
                                ph: "ph_off",
                            },
                            {
                                day_in_week: "We",
                                start: "08:00",
                                end: "17:59",
                                ph: "ph_off",
                            },
                            {
                                day_in_week: "Th",
                                start: "08:00",
                                end: "17:59",
                                ph: "ph_off",
                            },
                            {
                                day_in_week: "Fr",
                                start: "08:00",
                                end: "17:59",
                                ph: "ph_off",
                            },
                            {
                                day_in_week: "Sa",
                                start: "08:00",
                                end: "15:59",
                                ph: "ph_off",
                            },
                        ],
                    },
                ],
            },
        ],
    },
];
